# Function distance

- distance(descriptor1: Descriptor, descriptor2: Descriptor, options?: MatchOptions): number

- Calculates distance between two descriptors

  #### Parameters

  - ##### descriptor1: Descriptor

  - ##### descriptor2: Descriptor

  - ##### options: MatchOptions = ...

    calculation options

    - order - algorithm to use Euclidean distance if `order` is 2 (default), Minkowski distance algorithm of nth order if `order` is higher than 2
    - multiplier - by how much to enhance difference analysis in range of 1..100 default is 20 which normalizes results to similarity above 0.5 can be considered a match

  #### Returns number

  - Defined in src/face/match.ts:12